Skip to main content
GET
/
beneficiaries
/
organizations
/
recipients
/
{recipientId}
Get recipient
curl --request GET \
  --url https://api.paysway.dev/beneficiaries/organizations/recipients/{recipientId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paysway.dev/beneficiaries/organizations/recipients/{recipientId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paysway.dev/beneficiaries/organizations/recipients/{recipientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "country": "<string>",
  "currency": "<string>",
  "isDefault": true,
  "creditor": {
    "name": "<string>",
    "address": {
      "country": "<string>",
      "addressLine1": "<string>",
      "addressLine2": "<string>",
      "addressLine3": "<string>",
      "department": "<string>",
      "streetName": "<string>",
      "buildingNumber": "<string>",
      "buildingName": "<string>",
      "floor": "<string>",
      "room": "<string>",
      "townName": "<string>",
      "townLocationName": "<string>",
      "districtName": "<string>",
      "postBox": "<string>",
      "postCode": "<string>",
      "countrySubdivision": "<string>"
    },
    "contactDetails": {
      "email": "<string>",
      "phone": "<string>"
    },
    "dateOfBirth": "2023-12-25",
    "taxId": "<string>",
    "documents": [
      {
        "value": "<string>",
        "type": "<string>"
      }
    ]
  },
  "creditorAccount": {
    "id": {
      "value": "<string>"
    },
    "type": "<string>"
  },
  "creditorAgent": {
    "bic": "<string>",
    "clearingSystemMemberId": {
      "memberId": "<string>"
    },
    "branchId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

recipientId
string<uuid>
required

Response

200 - application/json

Recipient details returned successfully

id
string<uuid>
country
string

ISO 3166-1 alpha-2 code

Pattern: ^[A-Z]{2,2}$
currency
string

ISO 4217 alpha code

Pattern: ^[A-Z]{3,3}$
method
enum<string>
Available options:
BANK_ACCOUNT,
BPAY,
INTERAC,
ALIPAY,
FPS_ID,
MPESA,
PAYGATE,
DUITNOW,
GOPAY,
OVO,
DANA,
LINKAJA,
SHOPEEPAY,
PAYMAYA,
GCASH,
GRABPAY,
STARPAY,
BAYAD,
TAYOCASH,
JUANCASH,
UNIONPAY_CARD
isDefault
boolean
creditor
object
creditorAccount
object
creditorAgent
object